%define oname   activemodel

Name:       ruby-%{oname}
Version:    3.2.13
Release:    %mkrel 1
Summary:    Implements the ActiveRecord pattern for ORM
Group:      Development/Ruby
License:    MIT
URL:        http://www.rubyonrails.org
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Implements the ActiveRecord pattern (Fowler, PoEAA) for ORM. It ties
database tables and classes together for business objects, like Customer or
Subscription, that can find, save, and destroy themselves without resorting
to manual SQL.


#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install

#check
# rake test_sqlite3
# 
# # start an unprivileged instance of mysql
# mysql_install_db --datadir=$PWD/var/lib/mysql/ --user=$USER
# /usr/sbin/mysqld --datadir=$PWD/var/lib/mysql \
#   --socket $PWD/var/lib/mysql.sock \
#   --pid-file $PWD/var/lib/mysqld.pid &
# export MYSQL_SOCK=$PWD/var/lib/mysql.sock
# # FIXME: add a delay so that mysql is fully started when running other commands
# sleep 10
# # create the test databases
# echo "create database activerecord_unittest character set utf8;" | mysql --socket $PWD/var/lib/mysql.sock
# echo "create database activerecord_unittest2;" | mysql --socket $PWD/var/lib/mysql.sock
# # create the rails user
# echo "create user 'rails'@'localhost';
# grant all privileges on activerecord_unittest.*  to 'rails'@'localhost';
# grant all privileges on activerecord_unittest2.* to 'rails'@'localhost';" | mysql --socket $PWD/var/lib/mysql.sock
# # fix socket for the test
# sed -i '/:username.*/a \
#     :socket => "var/lib/mysql.sock",' test/connections/native_mysql/connection.rb
# rake test_mysql
# kill `cat $PWD/var/lib/mysqld.pid`

# start postgresql
#mkdir -p $PWD/var/log/postgres/
#initdb -D $PWD/var/lib/pgsql/data --locale=UTF-8
#pg_ctl start -l $PWD/var/log/postgres/postgresql \
#    -D $PWD/var/lib/pgsql/data
# FIXME: add a delay so that pgsql is fully started when running other commands
#sleep 20
#create the test database
#createdb -E UTF-8 activerecord_unittest
#createdb -E UTF-8 activerecord_unittest2
#rake test_postgresql
#pg_ctl stop -D $PWD/var/lib/pgsql/data -m "fast"

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}


%changelog

* Sat Mar 23 2013 fwang <fwang> 3.2.13-1.mga3
+ Revision: 404629
- new version 3.2.13

* Tue Feb 12 2013 fwang <fwang> 3.2.12-1.mga3
+ Revision: 398007
- new version 3.2.12

* Fri Feb 08 2013 umeabot <umeabot> 3.2.11-2.mga3
+ Revision: 395710
- Rebuild for CVE-2013-0256

* Sun Jan 20 2013 fwang <fwang> 3.2.11-1.mga3
+ Revision: 390181
- new version 3.2.11

* Mon Jan 14 2013 umeabot <umeabot> 3.2.9-2.mga3
+ Revision: 380637
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 3.2.9-1.mga3
+ Revision: 330195
- New version 3.2.9

* Thu Nov 01 2012 fwang <fwang> 3.2.8-2.mga3
+ Revision: 312163
- rebuild for new ruby

* Sat Aug 11 2012 shlomif <shlomif> 3.2.8-1.mga3
+ Revision: 280653
- New version 3.2.8.
  Thanks to aghero for the patch.

* Tue Aug 07 2012 shlomif <shlomif> 3.2.7-1.mga3
+ Revision: 279703
- New version 3.2.7

* Tue Jul 03 2012 shlomif <shlomif> 3.2.6-1.mga3
+ Revision: 267059
- New version 3.2.6

* Thu Jun 07 2012 shlomif <shlomif> 3.2.5-1.mga3
+ Revision: 257087
- No README
- imported package ruby-activemodel

